using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BarricadeManager : MonoBehaviour
{
    public int health = 0;
    public List<GameObject> barricadePlanks = new List<GameObject>();

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        viewHealthAsPlanks();
    }

    public void addPlank()
    {
        if (health < (barricadePlanks.Count * 10)) {
            health += 10;
        }
    }

    void viewHealthAsPlanks()
    {
        if (barricadePlanks.Count > 0)
        {
            for (int i = 0; i < barricadePlanks.Count; i++)
            {
                if (i < (health / 10)) {
                    barricadePlanks[i].SetActive(true);
                }
                else
                {
                    barricadePlanks[i].SetActive(false);
                }
            }
        }
    }
}
